GET/cosmos/staking/v1beta1/validators/{validator_addr}

https://rest-celestia-mainnet.nodit.io/cosmos/staking/v1beta1/validators/string

Retrieves validator information for the given validator address.

Path Parameters
validator_addrstringrequired

Validator address to query.

Responses
operator_addressstring

Validator operator address (bech32-encoded in JSON).

consensus_pubkeyobject

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
  ...
}

Example 2: Pack and unpack a message in Java.

Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
  foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
  foo = any.unpack(Foo.getDefaultInstance());
}

Example 3: Pack and unpack a message in Python.

foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
  any.Unpack(foo)
  ...

Example 4: Pack and unpack a message in Go

 foo := &pb.Foo{...}
 any, err := anypb.New(foo)
 if err != nil {
   ...
 }
 ...
 foo := &pb.Foo{}
 if err := any.UnmarshalTo(foo); err != nil {
   ...
 }

The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".

JSON

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile;
message Person {
  string first_name = 1;
  string last_name = 2;
}

{
  "@type": "type.googleapis.com/google.profile.Person",
  "firstName": <string>,
  "lastName": <string>
}

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):

{
  "@type": "type.googleapis.com/google.protobuf.Duration",
  "value": "1.212s"
}
type_urlstring

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one "/" character. The last segment of the URL's path must represent the fully qualified name of the type (as in path/google.protobuf.Duration). The name should be in a canonical form (e.g., leading "." is not accepted).

In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme http, https, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows:

  • If no scheme is provided, https is assumed.
  • An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error.
  • Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)

Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.

Schemes other than http, https (or the empty scheme) might be used with implementation specific semantics.

valuestring (byte)

Must be a valid serialized protocol buffer of the above specified type.

jailedboolean

Whether the validator is jailed while in bonded status.

statusstring (enum)

Validator status (bonded/unbonding/unbonded).

tokensstring

tokens define the delegated tokens (incl. self-delegation).

delegator_sharesstring

Total shares issued to the validator's delegators.

descriptionobject

Descriptive information about the validator.

monikerstring

Human-readable name of the validator.

identitystring

identity defines an optional identity signature (ex. UPort or Keybase).

websitestring

website defines an optional website link.

security_contactstring

security_contact defines an optional email for security contact.

detailsstring

details define other optional details.

unbonding_heightstring (int64)

If unbonding, the block height at which the validator started unbonding.

unbonding_timestring (date-time)

If unbonding, the minimum time for the validator's unbonding to complete.

commissionobject

commission defines the commission parameters.

commission_ratesobject

Initial commission rate to use when creating the validator.

ratestring

rate is the commission rate charged to delegators, as a fraction.

max_ratestring

Maximum commission rate the validator can charge (as a fraction).

max_change_ratestring

Maximum daily increase rate of the validator commission (as a fraction).

update_timestring (date-time)

update_time is the last time the commission rate was changed.

min_self_delegationstring

Minimum self-delegation amount declared by the validator.

unbonding_on_hold_ref_countstring (int64)

Positive if the unbonding has been stopped by external modules.

unbonding_idsstring (uint64)[]

IDs that each identify an unbonding of this validator.

X-API-KEY
RequestCU15
cURL
curl -X GET "https://rest-celestia-mainnet.nodit.io/cosmos/staking/v1beta1/validators/string" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "validator": {
    "operator_address": "string",
    "consensus_pubkey": {
      "type_url": "string",
      "value": "string"
    },
    "jailed": true,
    "status": "BOND_STATUS_UNSPECIFIED",
    "tokens": "string",
    "delegator_shares": "string",
    "description": {
      "moniker": "string",
      "identity": "string",
      "website": "string",
      "security_contact": "string",
      "details": "string"
    },
    "unbonding_height": "string",
    "unbonding_time": "string",
    "commission": {
      "commission_rates": {
        "rate": "string",
        "max_rate": "string",
        "max_change_rate": "string"
      },
      "update_time": "string"
    },
    "min_self_delegation": "string",
    "unbonding_on_hold_ref_count": "string",
    "unbonding_ids": [
      "string"
    ]
  }
}